#pragma once

#include <string>
#include <iostream>
#include <vector>

using namespace std;

class Stop;

class Line
{
	string name, from, to;
	vector<Stop*> stops;
public:
	Line(string name, string from, string to) {
		this->name = name;
		this->from = from;
		this->to = to;
	}
	string getName() { return name; }
	void parse(string fileName);
	friend ostream& operator<<(ostream& ot, Line& l);
};

