#pragma once

#include <string>
#include <vector>
#include <iostream>

using namespace std;

class Line;

class Stop
{
	int number;
	string name;
	double x, y;
	int zone;
	vector<Line*> lines;
public:
	Stop(int number, string name, double x, double y, int zone, vector<Line*> lines) {
		this->number = number;
		this->name = name;
		this->zone = zone;
		this->x = x;
		this->y = y;
		this->lines = lines;
	}
	int getNumber() { return number; }
	double getX() { return x; }
	double getY() { return y; }
	auto begin() { return lines.begin(); }
	auto end() { return lines.end(); }
	friend ostream& operator<<(ostream& ot, Stop& s);
};

