#include <algorithm>
#include <iomanip>

#include "Stop.h"
#include "Line.h"

ostream& operator<<(ostream& ot, const Stop& s) {
	ot << right << setw(6) << s.number << "  " << setw(44) << left << s.name <<
		fixed << setprecision(4) << s.x << ", " << s.y << "\t{ ";
	for_each(s.begin(), s.end(), [&ot](Line * l) { ot << l->getName() << " "; });
	ot << "}" << endl;
	return ot;
}